Skip to main content
POST
Create a pipeline version

Authorizations

apiKey
string
header
required

Path Parameters

pipelineId
string<uuid>
required

The ID of the pipeline

Body

application/json
schema
object
required

The pipeline schema definition

versionName
string

An optional name for the version

Example:

"My New Version"

parentVersionId
string<uuid>

The ID of the parent version to branch from

Example:

"00000000-0000-0000-0000-000000000000"

newBranch
boolean

Whether to create the version as a new branch

Example:

false

Response

The created pipeline version

Represents a pipeline version resource

id
string<uuid>
required

The ID of the pipeline version

Example:

"00000000-0000-0000-0000-000000000000"

number
number
required

The version number

Example:

1

pipelineId
string<uuid>
required

The ID of the parent pipeline

Example:

"00000000-0000-0000-0000-000000000000"

schema
object
required

The pipeline schema definition

isLatestLive
boolean
required

Whether this is the latest live version

Example:

true

name
string | null

The name of the pipeline version

Example:

"My Version"

pipelineOptions
object

Pipeline configuration options

versionId
string<uuid>

The ID of the pipeline version (alias for id)

Example:

"00000000-0000-0000-0000-000000000000"

versionNumber
number

The version number (alias for number)

Example:

1

versionName
string | null

The name of the pipeline version (alias for name)

Example:

"My Version"

madeLiveAt
string<date-time> | null

When this version was made live

Example:

"2021-01-01T00:00:00.000Z"